Skip to content

Settlement Batches

Lists transaction batch settlements

Request

GET {{baseURL}}/pay-api/v1/settlements/batches

Security
Bearer
Query
pageinteger, (int32)

Specifies the page number of the returned search results.

A page is considered each set of the pageSize value.

The maximum page value is the pageSize divided by the total count rounded up. The count is zero-based. For example, if pageSize is 50 and the total is 130, there are three pages. The maximum page value is 2.

Values above the maximum page value will complete successfully but not return any items.

Example: 0

Default:0
pageSizeinteger, (int32)

Specifies the number of items for each page of the returned search results.

A page is considered each set of the pageSize value.

The maximum page value is the pageSize divided by the total count rounded up. The count is zero-based. For example, if pageSize is 50 and the total is 130, there are three pages. The maximum page value is 2.

Example: 50

Default:15
orderBystring

Specifies the field the results get ordered by.

The sort order is specified by the asc value.

Example: contactName

ascboolean

Specifies the sort order is ascending.

The sort field is specified by the orderBy value.

If true, the sort order is ascending.
If false, the sort order is descending.

Example: true

Default:true
dateFromstring, (date-time)

Specifies returning items on or after this date (in an ISO 8601 date-time format).

If dateFrom only is specified, the search returns all available items from the dateFrom value to the present. The fields dateFrom and dateTo may be used together to create an exclusive range. We recommend creating an inclusive range to avoid a potentially excessive number of returns.

Example:dateFrom=2025-01-27T12:05:54.322587Z
dateTostring, (date-time)

Specifies returning items on or to this date (in an ISO 8601 date-time format).

If dateTo only is specified, the search returns all available items up to the dateTo value. The fields dateFrom and dateTo may be used together to create an exclusive range. We recommend creating an inclusive range to avoid a potentially excessive number of returns.

Example:dateTo=2026-01-27T12:05:54.322587Z
batchIdsArray of strings, (uuid)


Specifies the payment identifiers included in the batch settlement.

Example:batchIds=345cd3e4-5f6a-4b7c-8d9e-0f1a2b3c4d70,456de4f5-6a7b-4c8d-9e0f-1a2b3c4d5e81
paymentProcessorIdsArray of strings, (uuid)


Specifies the payment processor identifiers handling the batch settlement.

Example:paymentProcessorIds=123ab1c2-3d4e-4f5a-6b7c-8d9e0f1a2b58,234bc2d3-4e5f-4a6b-7c8d-9e0f1a2b3c69
statusIdinteger, (int32)

Specifies the settlement batch status.

Possible values:

StatusDescription
1Open
2Settled
Example:statusId=1
curl -i -X GET \
  'https://developer.flute.com/_mock/api-reference/pay-api/v1/settlements/batches?page=0&pageSize=15&orderBy=string&asc=true&dateFrom=2025-01-27T12%3A05%3A54.322587Z&dateTo=2026-01-27T12%3A05%3A54.322587Z&batchIds=345cd3e4-5f6a-4b7c-8d9e-0f1a2b3c4d70%2C456de4f5-6a7b-4c8d-9e0f-1a2b3c4d5e81&paymentProcessorIds=123ab1c2-3d4e-4f5a-6b7c-8d9e0f1a2b58%2C234bc2d3-4e5f-4a6b-7c8d-9e0f1a2b3c69&statusId=1' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Bodyapplication/json
itemsArray of objects or null
totalinteger, (int32)

Indicates the total number of settlement batches found.

Example: 31

Example:31
Response
{ "items": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "paymentProcessorId": "2059fcc1-5507-42be-8e4c-f4fcce245027", "paymentProcessorName": "string", "externalBatchId": "string", "batchDateTime": "2026-02-19T20:24:52.934Z", "transactionCount": 0.1, "netAmount": 0.1, "refundsAmount": 0.1, "salesAmount": 0.1, "statusId": 0, "statusName": "string" } ], "total": 31 }